$offlisting
*
*  Equation counts
*      Total        E        G        L        N        X        C        B
*         44       23        0       21        0        0        0        0
*
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         40       25       15        0        0        0        0        0
*  FX      0
*
*  Nonzero counts
*      Total    const       NL      DLL
*        118       82       36        0
*
*  Solve m using MINLP minimizing objvar;


Variables  x1,x2,x3,x16,x17,x18,x25,x26,x27,x34,x35,x36,objvar;

Positive Variables  x1,x2,x3,x16,x17,x18,x25,x26,x27,x34,x35,x36;

Equations  e1;


e1.. -((6329.03 + 1800*x1)*x16*x25*x34 + (2489.31 + 1800*x2)*x17*x26*x35 + (
     3270.27 + 1800*x3)*x18*x27*x36) + objvar =E= 0;


* set non-default bounds
x1.up = 80;
x2.up = 25;
x3.up = 45;
x16.up = 3;
x17.up = 3;
x18.up = 3;
x25.up = 3;
x26.up = 3;
x27.up = 3;
x34.up = 1;
x35.up = 1;
x36.up = 1;

Model m / all /;

m.limrow=0; m.limcol=0;
m.tolproj=0.0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
