$offlisting
*  
*  Equation counts
*      Total        E        G        L        N        X        C        B
*          1        0        0        1        0        0        0        0
*  
*  Variable counts
*                   x        b        i      s1s      s2s       sc       si
*      Total     cont   binary  integer     sos1     sos2    scont     sint
*         16        1       15        0        0        0        0        0
*  FX      0        0        0        0        0        0        0        0
*  
*  Nonzero counts
*      Total    const       NL      DLL
*         16        1       15        0
*
*  Solve m using MIQCP maximizing objvar;


Variables  b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,b13,b14,b15,objvar;

Binary Variables  b1,b2,b3,b4,b5,b6,b7,b8,b9,b10,b11,b12,b13,b14,b15;

Equations  e1;


e1.. 2*b1*b3 - 2*b1 + 2*b3 + 2*b1*b7 - 2*b7 + 2*b2*b5 - 2*b2 - 2*b5 + 2*b2*b10
      - 4*b10 - 2*b3*b4 + 2*b4 - 2*b3*b12 - 2*b3*b14 - 2*b4*b5 + 2*b4*b9 - 2*b9
      - 2*b4*b15 + 2*b5*b6 - 2*b6 + 2*b5*b8 - 2*b8 + 2*b6*b9 - 2*b7*b8 + 2*b7*
     b12 + 2*b7*b13 + 2*b8*b10 + 2*b8*b15 + 2*b9*b11 - 2*b11 - 2*b9*b12 + 2*b10
     *b11 + 2*b10*b12 - 2*b13*b15 + 2*b14*b15 - objvar =L= 0;

Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
