$offlisting
*  MINLP written by GAMS Convert at 04/19/01 16:58:14
*  
*  Equation counts
*     Total       E       G       L       N       X
*        31       1       0      30       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        36       1       5      30       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       156     106      50       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,i6,i7,i8,i9,i10,objvar;

Binary Variables b1,b2,b3,b4,b5;

Integer Variables i6,i7,i8,i9,i10;

Equations  e1;


e1..  - 0.1*b1 - 0.2*b2 - 0.3*b3 - 0.4*b4 - 0.5*b5 - i6 - i7 - i8 - i9 - i10
      + objvar =E= 0;


* set non default bounds

i6.up = 15; 
i7.up = 15; 
i8.up = 15; 
i9.up = 15; 
i10.up = 15; 

$if set nostart $goto modeldef
* set non default levels

i6.l = 1; 
i7.l = 1; 
i8.l = 1; 
i9.l = 1; 
i10.l = 1; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
