$offlisting
*  MINLP written by GAMS Convert at 04/19/01 16:58:15
*  
*  Equation counts
*     Total       E       G       L       N       X
*        37       1       0      36       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        49       1       6      42       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       217     145      72       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,b6,i7,i8,i9,i10,i11,i12,objvar;

Binary Variables b1,b2,b3,b4,b5,b6;

Integer Variables i7,i8,i9,i10,i11,i12;

Equations  e1;


e1..  - 0.1*b1 - 0.2*b2 - 0.3*b3 - 0.4*b4 - 0.5*b5 - 0.6*b6 - i7 - i8 - i9
      - i10 - i11 - i12 + objvar =E= 0;


* set non default bounds

i7.up = 16; 
i8.up = 16; 
i9.up = 16; 
i10.up = 16; 
i11.up = 16; 
i12.up = 16; 


$if set nostart $goto modeldef
* set non default levels

i7.l = 1; 
i8.l = 1; 
i9.l = 1; 
i10.l = 1; 
i11.l = 1; 
i12.l = 1; 

* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
