$offlisting
*  MINLP written by GAMS Convert at 04/19/01 16:58:15
*  
*  Equation counts
*     Total       E       G       L       N       X
*        43       1       0      42       0       0
*  
*  Variable counts
*                 x       b       i     s1s     s2s      sc      si
*     Total    cont  binary integer    sos1    sos2   scont    sint
*        64       1       7      56       0       0       0       0
*  FX     0       0       0       0       0       0       0       0
*  
*  Nonzero counts
*     Total   const      NL     DLL
*       288     190      98       0
*
*  Solve m using MINLP minimizing objvar;


Variables  b1,b2,b3,b4,b5,b6,b7,i8,i9,i10,i11,i12,i13,i14,objvar;

Binary Variables b1,b2,b3,b4,b5,b6,b7;

Integer Variables i8,i9,i10,i11,i12,i13,i14;

Equations  e1;


e1..  - 0.1*b1 - 0.2*b2 - 0.3*b3 - 0.4*b4 - 0.5*b5 - 0.6*b6 - 0.7*b7 - i8 - i9
      - i10 - i11 - i12 - i13 - i14 + objvar =E= 0;

* set non default bounds

i8.up = 15; 
i9.up = 15; 
i10.up = 15; 
i11.up = 15; 
i12.up = 15; 
i13.up = 15; 
i14.up = 15; 


$if set nostart $goto modeldef
* set non default levels

i8.l = 1; 
i9.l = 1; 
i10.l = 1; 
i11.l = 1; 
i12.l = 1; 
i13.l = 1; 
i14.l = 1; 


* set non default marginals


$label modeldef
Model m / all /;

m.limrow=0; m.limcol=0;

$if NOT '%gams.u1%' == '' $include '%gams.u1%'

$if not set MINLP $set MINLP MINLP
Solve m using %MINLP% minimizing objvar;
